Bug 307541 - install failure -> ts_done name in te is fedora-release-notes should be faad2
install failure -> ts_done name in te is fedora-release-notes should be faad2
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 433373 1081767 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 14:03 EDT by Nicolas Mailhot
Modified: 2014-05-16 08:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 22:13:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum log with failures (41.39 KB, text/plain)
2010-04-06 10:49 EDT, Kamil Páral
no flags Details

  None (edit)
Description Nicolas Mailhot 2007-09-26 14:03:44 EDT
Description of problem:

During a yum update install of a package (fedora-release-notes) fails and then
yum logs fill with "ts_done name in te is foo should be bar" messages in cleanup

Version-Release number of selected component (if applicable):

yum-3.2.5-3.fc8.noarch
rpm-4.4.2.2-0.5.rc2.x86_64

How reproducible:

One-time

Additional info:

# yum clean all; yum -y update -x xulrunner
Loading "skip-broken" plugin
Cleaning up Everything
Loading "skip-broken" plugin
fedora-7-test-debug       100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================|  61 kB    00:00     
livna-debug               100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================|  36 kB    00:00     
koji-f8-builds            100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 2.9 MB    00:09     
koji-f8-bu: ################################################## 11377/11377
fedora-7-updates          100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 2.0 MB    00:04     
fedora-7-test             100% |=========================| 2.3 kB    00:00     
primary.sqlite.bz2        100% |=========================| 301 kB    00:01     
fedora-7-debug            100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 837 kB    00:02     
fedora-devel              100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 6.5 MB    00:16     
livna                     100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 100 kB    00:00     
fedora-7-updates-debug    100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 358 kB    00:01     
fedora-devel-debug        100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 1.2 MB    00:03     
local                     100% |=========================|  951 B    00:00     
primary.xml.gz            100% |=========================| 5.7 kB    00:00     
local     : ################################################## 26/26
fedora-7                  100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 4.7 MB    00:11     
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gnome-desktop.x86_64 0:2.20.0-2.fc8 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-28 set to be updated
---> Package pam.x86_64 0:0.99.8.1-10.fc8 set to be updated
---> Package libgcj-src.x86_64 0:4.1.2-28 set to be updated
---> Package libgomp.x86_64 0:4.1.2-28 set to be updated
---> Package cryptsetup-luks.x86_64 0:1.0.5-7.fc8 set to be updated
---> Package tzdata.noarch 0:2007g-2.fc8 set to be updated
---> Package acpid.x86_64 0:1.0.6-2.fc8 set to be updated
---> Package vim-common.x86_64 2:7.1.122-1.fc8 set to be updated
---> Package libgcj.x86_64 0:4.1.2-28 set to be updated
---> Package hal.x86_64 0:0.5.10-0.git20070925.fc8 set to be updated
---> Package gcc-java.x86_64 0:4.1.2-28 set to be updated
---> Package xkeyboard-config.noarch 0:1.1-1.fc8 set to be updated
---> Package libgcc.x86_64 0:4.1.2-28 set to be updated
---> Package vim-minimal.x86_64 2:7.1.122-1.fc8 set to be updated
---> Package wpa_supplicant.x86_64 1:0.5.7-9.fc8 set to be updated
---> Package libstdc++.x86_64 0:4.1.2-28 set to be updated
---> Package system-config-soundcard.noarch 0:2.0.6-10.fc8 set to be updated
---> Package gdb.x86_64 0:6.6-30.fc8 set to be updated
---> Package tcl.x86_64 1:8.4.15-5.fc8 set to be updated
---> Package gwget.x86_64 0:0.99-3.fc8 set to be updated
---> Package fedora-release-notes.noarch 0:7.92-1 set to be updated
---> Package faad2.x86_64 0:2.5-4.lvn8 set to be updated
---> Package vim-enhanced.x86_64 2:7.1.122-1.fc8 set to be updated
---> Package hal-info.noarch 0:20070925-1.fc8 set to be updated
---> Package NetworkManager-glib.x86_64 1:0.7.0-0.3.svn2886.fc8 set to be updated
---> Package passwd.x86_64 0:0.74-5.fc8 set to be updated
---> Package kernel.x86_64 0:2.6.23-0.204.rc8.fc8 set to be updated
---> Package PolicyKit-gnome.x86_64 0:0.6-0.git20070925.fc8 set to be updated
---> Package firefox.x86_64 0:2.0.0.6-11.fc8 set to be updated
---> Package thunderbird.x86_64 0:2.0.0.6-5.fc8 set to be updated
---> Package PolicyKit.x86_64 0:0.6-0.git20070925.fc8 set to be updated
---> Package gtk2.x86_64 0:2.12.0-4.fc8 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-28 set to be updated
---> Package gcc.x86_64 0:4.1.2-28 set to be updated
---> Package cpp.x86_64 0:4.1.2-28 set to be updated
---> Package libgcj-devel.x86_64 0:4.1.2-28 set to be updated
---> Package hal-libs.x86_64 0:0.5.10-0.git20070925.fc8 set to be updated
---> Package kernel-doc.noarch 0:2.6.23-0.204.rc8.fc8 set to be updated
---> Package vim-X11.x86_64 2:7.1.122-1.fc8 set to be updated
---> Package pirut.noarch 0:1.3.20-1.fc8 set to be updated
---> Package kernel-headers.x86_64 0:2.6.23-0.204.rc8.fc8 set to be updated
---> Package NetworkManager.x86_64 1:0.7.0-0.3.svn2886.fc8 set to be updated
filelists.sqlite.bz2      100% |=========================| 375 kB    00:01     
filelists.xml.gz          100% |=========================| 9.9 MB    00:20     
filelists.sqlite.bz2      100% |=========================| 1.4 MB    00:03     
filelists.sqlite.bz2      100% |=========================| 747 kB    00:02     
filelists.sqlite.bz2      100% |=========================| 2.4 MB    00:05     
filelists.sqlite.bz2      100% |=========================|  10 MB    00:23     
filelists.sqlite.bz2      100% |=========================|  59 kB    00:00     
filelists.sqlite.bz2      100% |=========================| 4.2 MB    00:12     
filelists.sqlite.bz2      100% |=========================| 4.3 MB    00:11     
filelists.sqlite.bz2      100% |=========================|  90 kB    00:00     
filelists.xml.gz          100% |=========================| 134 kB    00:00     
filelists.sqlite.bz2      100% |=========================| 7.6 MB    00:18     
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:2.6.23-0.198.rc7.git5.fc8 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  x86_64     2.6.23-0.204.rc8.fc8  koji-f8-builds     17 M
Updating:
 NetworkManager          x86_64     1:0.7.0-0.3.svn2886.fc8  koji-f8-builds    543 k
 NetworkManager-glib     x86_64     1:0.7.0-0.3.svn2886.fc8  koji-f8-builds     57 k
 PolicyKit               x86_64     0.6-0.git20070925.fc8  koji-f8-builds     76 k
 PolicyKit-gnome         x86_64     0.6-0.git20070925.fc8  koji-f8-builds     34 k
 acpid                   x86_64     1.0.6-2.fc8      koji-f8-builds     33 k
 cpp                     x86_64     4.1.2-28         koji-f8-builds    2.9 M
 cryptsetup-luks         x86_64     1.0.5-7.fc8      koji-f8-builds     55 k
 faad2                   x86_64     2.5-4.lvn8       livna             198 k
 fedora-release-notes    noarch     7.92-1           koji-f8-builds    2.6 M
 firefox                 x86_64     2.0.0.6-11.fc8   koji-f8-builds     20 M
 gcc                     x86_64     4.1.2-28         koji-f8-builds    5.3 M
 gcc-c++                 x86_64     4.1.2-28         koji-f8-builds    3.7 M
 gcc-java                x86_64     4.1.2-28         koji-f8-builds    2.9 M
 gdb                     x86_64     6.6-30.fc8       koji-f8-builds    3.0 M
 gnome-desktop           x86_64     2.20.0-2.fc8     koji-f8-builds    925 k
 gtk2                    x86_64     2.12.0-4.fc8     koji-f8-builds    6.8 M
 gwget                   x86_64     0.99-3.fc8       koji-f8-builds    239 k
 hal                     x86_64     0.5.10-0.git20070925.fc8  koji-f8-builds   
462 k
 hal-info                noarch     20070925-1.fc8   koji-f8-builds     68 k
 hal-libs                x86_64     0.5.10-0.git20070925.fc8  koji-f8-builds   
 62 k
 kernel-doc              noarch     2.6.23-0.204.rc8.fc8  koji-f8-builds    2.9 M
 kernel-headers          x86_64     2.6.23-0.204.rc8.fc8  koji-f8-builds    698 k
 libgcc                  x86_64     4.1.2-28         koji-f8-builds     96 k
 libgcj                  x86_64     4.1.2-28         koji-f8-builds     20 M
 libgcj-devel            x86_64     4.1.2-28         koji-f8-builds    1.5 M
 libgcj-src              x86_64     4.1.2-28         koji-f8-builds     12 M
 libgomp                 x86_64     4.1.2-28         koji-f8-builds     83 k
 libstdc++               x86_64     4.1.2-28         koji-f8-builds    349 k
 libstdc++-devel         x86_64     4.1.2-28         koji-f8-builds    2.8 M
 pam                     x86_64     0.99.8.1-10.fc8  koji-f8-builds    1.0 M
 passwd                  x86_64     0.74-5.fc8       koji-f8-builds     34 k
 pirut                   noarch     1.3.20-1.fc8     koji-f8-builds    322 k
 system-config-soundcard  noarch     2.0.6-10.fc8     koji-f8-builds    1.1 M
 tcl                     x86_64     1:8.4.15-5.fc8   koji-f8-builds    1.8 M
 thunderbird             x86_64     2.0.0.6-5.fc8    koji-f8-builds     22 M
 tzdata                  noarch     2007g-2.fc8      koji-f8-builds    745 k
 vim-X11                 x86_64     2:7.1.122-1.fc8  koji-f8-builds    1.0 M
 vim-common              x86_64     2:7.1.122-1.fc8  koji-f8-builds    6.6 M
 vim-enhanced            x86_64     2:7.1.122-1.fc8  koji-f8-builds    918 k
 vim-minimal             x86_64     2:7.1.122-1.fc8  koji-f8-builds    372 k
 wpa_supplicant          x86_64     1:0.5.7-9.fc8    koji-f8-builds    255 k
 xkeyboard-config        noarch     1.1-1.fc8        koji-f8-builds    444 k
Removing:
 kernel                  x86_64     2.6.23-0.198.rc7.git5.fc8  installed       
  63 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update      42 Package(s)         
Remove       1 Package(s)         

Total download size: 144 M
Downloading Packages:
(1/43): NetworkManager-0. 100% |=========================| 543 kB    00:01     
(2/43): kernel-headers-2. 100% |=========================| 698 kB    00:01     
(3/43): pirut-1.3.20-1.fc 100% |=========================| 322 kB    00:02     
(4/43): vim-X11-7.1.122-1 100% |=========================| 1.0 MB    00:02     
(5/43): kernel-doc-2.6.23 100% |=========================| 2.9 MB    00:09     
(6/43): hal-libs-0.5.10-0 100% |=========================|  62 kB    00:00     
(7/43): libgcj-devel-4.1. 100% |=========================| 1.5 MB    00:03     
(8/43): cpp-4.1.2-28.x86_ 100% |=========================| 2.9 MB    00:10     
(9/43): gcc-4.1.2-28.x86_ 100% |=========================| 5.3 MB    00:18     
(10/43): gcc-c++-4.1.2-28 100% |=========================| 3.7 MB    00:08     
(11/43): gtk2-2.12.0-4.fc 100% |=========================| 6.8 MB    00:18     
(12/43): PolicyKit-0.6-0. 100% |=========================|  76 kB    00:00     
(13/43): thunderbird-2.0. 100% |=========================|  22 MB    00:50     
(14/43): firefox-2.0.0.6- 100% |=========================|  20 MB    00:46     
(15/43): PolicyKit-gnome- 100% |=========================|  34 kB    00:00     
(16/43): kernel-2.6.23-0. 100% |=========================|  17 MB    00:39     
(17/43): passwd-0.74-5.fc 100% |=========================|  34 kB    00:00     
(18/43): NetworkManager-g 100% |=========================|  57 kB    00:00     
(19/43): hal-info-2007092 100% |=========================|  68 kB    00:00     
(20/43): vim-enhanced-7.1 100% |=========================| 918 kB    00:02     
(21/43): faad2-2.5-4.lvn8 100% |=========================| 198 kB    00:00     
(22/43): fedora-release-n 100% |=========================| 2.6 MB    00:08     
(23/43): gwget-0.99-3.fc8 100% |=========================| 239 kB    00:01     
(24/43): tcl-8.4.15-5.fc8 100% |=========================| 1.8 MB    00:03     
(25/43): gdb-6.6-30.fc8.x 100% |=========================| 3.0 MB    00:10     
(26/43): system-config-so 100% |=========================| 1.1 MB    00:02     
(27/43): libstdc++-4.1.2- 100% |=========================| 349 kB    00:01     
(28/43): wpa_supplicant-0 100% |=========================| 255 kB    00:01     
(29/43): vim-minimal-7.1. 100% |=========================| 372 kB    00:01     
(30/43): libgcc-4.1.2-28. 100% |=========================|  96 kB    00:00     
(31/43): xkeyboard-config 100% |=========================| 444 kB    00:01     
(32/43): gcc-java-4.1.2-2 100% |=========================| 2.9 MB    00:10     
(33/43): hal-0.5.10-0.git 100% |=========================| 462 kB    00:01     
(34/43): libgcj-4.1.2-28. 100% |=========================|  20 MB    00:44     
(35/43): vim-common-7.1.1 100% |=========================| 6.6 MB    00:18     
(36/43): acpid-1.0.6-2.fc 100% |=========================|  33 kB    00:00     
(37/43): tzdata-2007g-2.f 100% |=========================| 745 kB    00:01     
(38/43): cryptsetup-luks- 100% |=========================|  55 kB    00:00     
(39/43): libgomp-4.1.2-28 100% |=========================|  83 kB    00:00     
(40/43): libgcj-src-4.1.2 100% |=========================|  12 MB    00:28     
(41/43): pam-0.99.8.1-10. 100% |=========================| 1.0 MB    00:02     
(42/43): libstdc++-devel- 100% |=========================| 2.8 MB    00:09     
(43/43): gnome-desktop-2. 100% |=========================| 925 kB    00:02     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : gtk2                         ####################### [ 1/86] 
  Updating  : libgcc                       ####################### [ 2/86] 
  Updating  : libstdc++                    ####################### [ 3/86] 
  Updating  : libgcj                       ####################### [ 4/86] 
  Updating  : hal-libs                     ####################### [ 5/86] 
  Updating  : pam                          ####################### [ 6/86] 
  Updating  : PolicyKit                    ####################### [ 7/86] 
  Updating  : cryptsetup-luks              ####################### [ 8/86] 
  Updating  : libgomp                      ####################### [ 9/86] 
  Updating  : wpa_supplicant               ####################### [10/86] 
  Updating  : vim-common                   ####################### [11/86] 
  Updating  : gnome-desktop                ####################### [12/86] 
  Updating  : cpp                          ####################### [13/86] 
  Updating  : gcc                          ####################### [14/86] 
  Updating  : faad2                        ####################### [15/86] 
  Updating  : tcl                          ####################### [16/86] 
  Updating  : vim-enhanced                 ####################### [17/86] 
  Updating  : vim-X11                      ####################### [18/86] 
  Updating  : PolicyKit-gnome              ####################### [19/86] 
  Updating  : passwd                       ####################### [20/86] 
  Updating  : gwget                        ####################### [21/86] 
  Updating  : gdb                          ####################### [22/86] 
  Updating  : vim-minimal                  ####################### [23/86] 
  Updating  : acpid                        ####################### [24/86] 
  Updating  : libgcj-devel                 ####################### [25/86] 
  Updating  : libstdc++-devel              ####################### [26/86] 
  Updating  : firefox                      ####################### [27/86] 
  Updating  : gcc-c++                      ####################### [28/86] 
  Updating  : gcc-java                     ####################### [29/86] 
  Updating  : libgcj-src                   ####################### [30/86] 
  Updating  : thunderbird                  ####################### [31/86] 
  Updating  : system-config-soundcard      ####################### [32/86] 
  Updating  : kernel-headers               ####################### [33/86] 
  Updating  : pirut                        ####################### [34/86] 
  Updating  : kernel-doc                   ####################### [35/86] 
  Updating  : fedora-release-notes         ####################### [36/86] 
error: unpacking of archive failed on file
/usr/share/doc/HTML/release-notes/de/css: cpio: rename
Error unpacking rpm package fedora-release-notes - 7.92-1.noarch
  Updating  : xkeyboard-config             ####################### [37/86] 
  Updating  : tzdata                       ####################### [38/86] 
  Installing: kernel                       ####################### [39/86] 
  Updating  : hal                          ####################### [40/86] 
  Updating  : hal-info                     ####################### [41/86] 
  Updating  : NetworkManager               ####################### [42/86] 
  Updating  : NetworkManager-glib          ####################### [43/86] 
  Cleanup   : gnome-desktop                ####################### [44/86] 
  Cleanup   : libstdc++-devel              ####################### [45/86] 
  Cleanup   : pam                          ####################### [46/86] 
  Cleanup   : libgcj-src                   ####################### [47/86] 
  Cleanup   : libgomp                      ####################### [48/86] 
  Cleanup   : cryptsetup-luks              ####################### [49/86] 
  Cleanup   : tzdata                       ####################### [50/86] 
  Cleanup   : acpid                        ####################### [51/86] 
  Cleanup   : vim-common                   ####################### [52/86] 
  Cleanup   : libgcj                       ####################### [53/86] 
  Cleanup   : hal                          ####################### [54/86] 
  Cleanup   : gcc-java                     ####################### [55/86] 
  Cleanup   : xkeyboard-config             ####################### [56/86] 
  Cleanup   : libgcc                       ####################### [57/86] 
  Cleanup   : vim-minimal                  ####################### [58/86] 
  Cleanup   : wpa_supplicant               ####################### [59/86] 
  Cleanup   : libstdc++                    ####################### [60/86] 
  Cleanup   : system-config-soundcard      ####################### [61/86] 
  Cleanup   : gdb                          ####################### [62/86] 
  Cleanup   : tcl                          ####################### [63/86] 
  Cleanup   : gwget                        ####################### [64/86] 
  Cleanup   : faad2                        ####################### [65/86] 
ts_done name in te is fedora-release-notes should be faad2
  Cleanup   : vim-enhanced                 ####################### [66/86] 
ts_done name in te is faad2 should be vim-enhanced
  Cleanup   : hal-info                     ####################### [67/86] 
ts_done name in te is vim-enhanced should be hal-info
  Cleanup   : NetworkManager-glib          ####################### [68/86] 
ts_done name in te is hal-info should be NetworkManager-glib
  Cleanup   : passwd                       ####################### [69/86] 
ts_done name in te is NetworkManager-glib should be passwd
  Cleanup   : PolicyKit-gnome              ####################### [70/86] 
ts_done name in te is passwd should be PolicyKit-gnome
  Cleanup   : firefox                      ####################### [71/86] 
ts_done name in te is PolicyKit-gnome should be firefox
  Cleanup   : thunderbird                  ####################### [72/86] 
ts_done name in te is firefox should be thunderbird
  Cleanup   : PolicyKit                    ####################### [73/86] 
ts_done name in te is thunderbird should be PolicyKit
  Cleanup   : gtk2                         ####################### [74/86] 
ts_done name in te is PolicyKit should be gtk2
  Cleanup   : gcc-c++                      ####################### [75/86] 
ts_done name in te is gtk2 should be gcc-c++
  Cleanup   : gcc                          ####################### [76/86] 
ts_done name in te is gcc-c++ should be gcc
  Cleanup   : cpp                          ####################### [77/86] 
ts_done name in te is gcc should be cpp
  Cleanup   : libgcj-devel                 ####################### [78/86] 
ts_done name in te is cpp should be libgcj-devel
  Cleanup   : hal-libs                     ####################### [79/86] 
ts_done name in te is libgcj-devel should be hal-libs
  Cleanup   : kernel                       ####################### [80/86] 
ts_done name in te is hal-libs should be kernel
ls: ne peut accéder /boot/initrd*kdump.img: Aucun fichier ou répertoire de ce type
  Cleanup   : kernel-doc                   ####################### [81/86] 
ts_done name in te is kernel should be kernel-doc
  Cleanup   : vim-X11                      ####################### [82/86] 
ts_done name in te is kernel-doc should be vim-X11
  Cleanup   : pirut                        ####################### [83/86] 
ts_done name in te is vim-X11 should be pirut
  Cleanup   : kernel-headers               ####################### [84/86] 
ts_done name in te is pirut should be kernel-headers
  Cleanup   : NetworkManager               ####################### [85/86] 
ts_done name in te is kernel-headers should be NetworkManager

Removed: kernel.x86_64 0:2.6.23-0.198.rc7.git5.fc8
Installed: kernel.x86_64 0:2.6.23-0.204.rc8.fc8
Updated: NetworkManager.x86_64 1:0.7.0-0.3.svn2886.fc8
NetworkManager-glib.x86_64 1:0.7.0-0.3.svn2886.fc8 PolicyKit.x86_64
0:0.6-0.git20070925.fc8 PolicyKit-gnome.x86_64 0:0.6-0.git20070925.fc8
acpid.x86_64 0:1.0.6-2.fc8 cpp.x86_64 0:4.1.2-28 cryptsetup-luks.x86_64
0:1.0.5-7.fc8 faad2.x86_64 0:2.5-4.lvn8 fedora-release-notes.noarch 0:7.92-1
firefox.x86_64 0:2.0.0.6-11.fc8 gcc.x86_64 0:4.1.2-28 gcc-c++.x86_64 0:4.1.2-28
gcc-java.x86_64 0:4.1.2-28 gdb.x86_64 0:6.6-30.fc8 gnome-desktop.x86_64
0:2.20.0-2.fc8 gtk2.x86_64 0:2.12.0-4.fc8 gwget.x86_64 0:0.99-3.fc8 hal.x86_64
0:0.5.10-0.git20070925.fc8 hal-info.noarch 0:20070925-1.fc8 hal-libs.x86_64
0:0.5.10-0.git20070925.fc8 kernel-doc.noarch 0:2.6.23-0.204.rc8.fc8
kernel-headers.x86_64 0:2.6.23-0.204.rc8.fc8 libgcc.x86_64 0:4.1.2-28
libgcj.x86_64 0:4.1.2-28 libgcj-devel.x86_64 0:4.1.2-28 libgcj-src.x86_64
0:4.1.2-28 libgomp.x86_64 0:4.1.2-28 libstdc++.x86_64 0:4.1.2-28
libstdc++-devel.x86_64 0:4.1.2-28 pam.x86_64 0:0.99.8.1-10.fc8 passwd.x86_64
0:0.74-5.fc8 pirut.noarch 0:1.3.20-1.fc8 system-config-soundcard.noarch
0:2.0.6-10.fc8 tcl.x86_64 1:8.4.15-5.fc8 thunderbird.x86_64 0:2.0.0.6-5.fc8
tzdata.noarch 0:2007g-2.fc8 vim-X11.x86_64 2:7.1.122-1.fc8 vim-common.x86_64
2:7.1.122-1.fc8 vim-enhanced.x86_64 2:7.1.122-1.fc8 vim-minimal.x86_64
2:7.1.122-1.fc8 wpa_supplicant.x86_64 1:0.5.7-9.fc8 xkeyboard-config.noarch
0:1.1-1.fc8
Complete!
Comment 1 Nicolas Mailhot 2007-09-26 14:06:42 EDT
(19:53:57) nim-nim: skvidal: # rpm -q rpm
(19:53:57) nim-nim: rpm-4.4.2.2-0.5.rc2
(19:54:14) skvidal: hmm - shouldn't be happening there that I know of
(19:54:20) skvidal: was that the version it was on before?
(19:54:49) nim-nim: rpm was not updated during this yum update
19:55
(19:55:23) nim-nim: what's interesting is one package install failed
(19:55:34) nim-nim:  Updating  : fedora-release-notes        
####################### [36/86] 
(19:55:34) nim-nim: error: unpacking of archive failed on file
/usr/share/doc/HTML/release-notes/de/css: cpio: rename
(19:55:34) nim-nim: Error unpacking rpm package fedora-release-notes - 7.92-1.noarch
(19:55:50) nim-nim: and the first ts_done message is
(19:56:01) nim-nim:  Cleanup   : faad2                       
####################### [65/86] 
(19:56:01) nim-nim: ts_done name in te is fedora-release-notes should be faad2
(19:56:51) nim-nim: so maybe the release-notes failure triggered an rpm/yum bug

(19:57:28) skvidal: nim-nim: ah, you may be right b/c the rest of that te didn't run
(19:57:38) skvidal: nim-nim: please file that wit hthe examples so I know to
account for it
Comment 2 Michal Jaegermann 2007-09-26 18:42:01 EDT
I think that this is a side-effect of bug 306781.  Something was
supposed to be installed, and failed, and a list of packages
to cleanup diverges by at least one from reality.  As a result from
that moment on to the very end one gets for every package:
"ts_done name in te is <something> should be <something_else>".
Not really helpful and in this particular case failed
'fedora-release-notes' should be just dropped from a cleanup list.
Comment 3 Panu Matilainen 2007-09-27 02:33:50 EDT
Right, this is different from the other case where package was not updated but
there were no callbacks issued if it contained no files, throwing yums
bookkeeping out of order.

fedora-release-notes didn't get updated so there's nothing to clean up - no
callbacks. The unpack/cpio errors you could catch and account for in yum
bookkeeping but I think the same will happen if package scriptlet fails, and
there's no error callback on that case (at the moment and wont happen in time
for F8)...

Just a caffeine deprived morning idea, but yum might be better off using a hash
instead of an ordered list for the ts_done bookkeeping and look at the undone
bits after the transaction has completed. For added bonus, it could give a nice
summary of the failures.
Comment 4 Seth Vidal 2007-09-27 08:52:11 EDT
Panu,
 that sounds like a pretty good idea - I'll work on that. On the plus side
-we've found all sorts of interesting things as a result of this :)
Comment 5 Seth Vidal 2007-10-03 15:25:57 EDT
Panu, uninst_start doesn't get passed a header. it, like uninst_stop gets passed
only a simple package name. So any dict I used would be a dodgy match, at best.

Comment 6 Panu Matilainen 2007-10-04 02:31:32 EDT
Right, didn't remember there were some extra complications present in the python
bindings wrt this. The header is available on C-level callbacks but not in
python for whatever historical issues (see this old post by JBJ on the subject:
https://lists.dulug.duke.edu/pipermail/rpm-python-list/2003-October/000012.html)

It would be possible to present more information to python than just the name
but it'd be an incompatible change that can't be done in rpm 4.4.x, barring a
special flag to set for "enhanced callbacks" and default for legacy behavior or
something like that.

Looking at history data, there used to be some hacks to get the header through
an extra gettsHeader() call but that's been removed without comments. What's
there now is:

    /* Synthesize a python object for callback (if necessary). */
    if (pkgObj == NULL) {
        if (h) {
            const char * n = NULL;
            (void) headerNVR(h, &n, NULL, NULL);
            pkgObj = Py_BuildValue("s", n);
        } else {
            pkgObj = Py_None;
            Py_INCREF(pkgObj);
        }
    } else
        Py_INCREF(pkgObj);

On the surface it'd look like one could just create the python header object
there for passing along to the callback instead of just a string containing the
name. Maybe there's a deeper reason for not doing so, maybe it's just a bad idea
that never got fixed to avoid incompatibilities - I dunno...
Comment 7 Jeremy Katz 2007-10-10 13:09:02 EDT
The message at least is quieted now, so dropping off the target list.  
Comment 8 Seth Vidal 2007-12-06 22:13:01 EST
I'm going to close this bug cantfix b/c, well, I can't.
Comment 9 James Antill 2008-08-12 13:07:35 EDT
*** Bug 433373 has been marked as a duplicate of this bug. ***
Comment 10 Kamil Páral 2010-04-06 07:57:08 EDT
I have just seen this problem in yum.log in F13 Beta RC4. Still CANTFIX?
Comment 11 seth vidal 2010-04-06 09:59:34 EDT
I doubt you've seen this exact error. I suspect you've seen a package with an aborted pre script that kept it from being removed/cleaned up.

Can you post the output here?
Comment 12 Kamil Páral 2010-04-06 10:49:26 EDT
Created attachment 404719 [details]
yum log with failures

Exactly as you say, failed pre-scriptlet caused many many error messages in yum.log. Just wondering if it is possible to get rid of this message flood now.
Comment 13 Harald Reindl 2012-11-28 09:23:36 EST
here this happened on one of two cloed machines and the difference was that on the failing one for whatever reason systemd.automount for /boot did not work and /boot was not mounted

this affected only the grub2-package
but why in the world results this in a lot of message from unaffacted packages?

Nov 28 14:47:14 Updated: bash-4.2.39-2.fc17.x86_64
Nov 28 14:47:14 Updated: openssh-5.9p1-28.fc17.x86_64
Nov 28 14:47:15 1:grub2-tools-2.0-0.39.fc17.x86_64: 100
Nov 28 14:47:15 Updated: 1:perl-Pod-Escapes-1.04-218.fc17.noarch
Nov 28 14:47:16 Updated: 4:perl-libs-5.14.3-218.fc17.x86_64
Nov 28 14:47:16 Updated: 4:perl-macros-5.14.3-218.fc17.x86_64
Nov 28 14:47:16 Updated: 1:perl-Module-Pluggable-3.90-218.fc17.noarch
Nov 28 14:47:16 Updated: perl-PathTools-3.33-218.fc17.x86_64
Nov 28 14:47:17 Updated: 1:perl-Pod-Simple-3.16-218.fc17.noarch
Nov 28 14:47:19 Updated: 4:perl-5.14.3-218.fc17.x86_64
Nov 28 14:47:19 Updated: 1:perl-ExtUtils-ParseXS-2.2210-218.fc17.noarch
Nov 28 14:47:20 Updated: 4:perl-devel-5.14.3-218.fc17.x86_64
Nov 28 14:47:20 Updated: perl-ExtUtils-Install-1.56-218.fc17.noarch
Nov 28 14:47:21 Updated: 1:perl-Digest-SHA-5.61-218.fc17.x86_64
Nov 28 14:47:21 Updated: perl-HTTP-Tiny-0.012-218.fc17.noarch
Nov 28 14:47:22 Updated: fftw-libs-quad-3.3.3-1.fc17.x86_64
Nov 28 14:47:22 Updated: fftw-libs-double-3.3.3-1.fc17.x86_64
Nov 28 14:47:23 Updated: libreport-filesystem-2.0.19-2.fc17.x86_64
Nov 28 14:47:24 Updated: libreport-2.0.19-2.fc17.x86_64
Nov 28 14:47:25 Updated: libreport-python-2.0.19-2.fc17.x86_64
Nov 28 14:47:27 Updated: hplip-common-3.12.11-1.fc17.x86_64
Nov 28 14:47:27 Updated: hplip-libs-3.12.11-1.fc17.x86_64
Nov 28 14:47:29 Updated: 1:hpijs-3.12.11-1.fc17.x86_64
Nov 28 14:47:30 Updated: fftw-libs-single-3.3.3-1.fc17.x86_64
Nov 28 14:47:30 Updated: fftw-libs-long-3.3.3-1.fc17.x86_64
Nov 28 14:47:31 Updated: fftw-libs-3.3.3-1.fc17.x86_64
Nov 28 14:47:31 Updated: hplip-3.12.11-1.fc17.x86_64
Nov 28 14:47:32 Updated: perl-CPAN-1.9600.01-218.fc17.noarch
Nov 28 14:47:32 Updated: 1:perl-parent-0.225-218.fc17.noarch
Nov 28 14:47:32 Updated: 3:perl-version-0.88-218.fc17.noarch
Nov 28 14:47:33 Updated: perl-Test-Harness-3.23-218.fc17.noarch
Nov 28 14:47:33 Updated: perl-CGI-3.52-218.fc17.noarch
Nov 28 14:47:33 Updated: perl-Digest-MD5-2.51-218.fc17.x86_64
Nov 28 14:47:34 Updated: perl-Test-Simple-0.98-218.fc17.noarch
Nov 28 14:47:34 1:grub2-2.0-0.39.fc17.x86_64: 100
Nov 28 14:47:34 Updated: openssh-askpass-5.9p1-28.fc17.x86_64
Nov 28 14:47:35 Updated: openssh-clients-5.9p1-28.fc17.x86_64
Nov 28 14:47:35 Updated: openssh-server-5.9p1-28.fc17.x86_64
Nov 28 14:47:38 perl-HTTP-Tiny-0.012-217.fc17.noarch: ts_done name in te is grub2 should be perl-HTTP-Tiny-0.012-217.fc17.noarch
Nov 28 14:47:38 perl-Test-Simple-0.98-217.fc17.noarch: ts_done name in te is perl-HTTP-Tiny should be perl-Test-Simple-0.98-217.fc17.noarch
Nov 28 14:47:38 3:perl-version-0.88-217.fc17.noarch: ts_done name in te is perl-Test-Simple should be 3:perl-version-0.88-217.fc17.noarch
Nov 28 14:47:39 1:perl-parent-0.225-217.fc17.noarch: ts_done name in te is perl-version should be 1:perl-parent-0.225-217.fc17.noarch
Nov 28 14:47:39 hplip-3.12.10-4.a.fc17.x86_64: ts_done name in te is perl-parent should be hplip-3.12.10-4.a.fc17.x86_64
Nov 28 14:47:39 1:hpijs-3.12.10-4.a.fc17.x86_64: ts_done name in te is hplip should be 1:hpijs-3.12.10-4.a.fc17.x86_64
Nov 28 14:47:39 openssh-server-5.9p1-27.fc17.x86_64: ts_done name in te is hpijs should be openssh-server-5.9p1-27.fc17.x86_64
Nov 28 14:47:40 openssh-clients-5.9p1-27.fc17.x86_64: ts_done name in te is openssh-server should be openssh-clients-5.9p1-27.fc17.x86_64
Nov 28 14:47:41 hplip-libs-3.12.10-4.a.fc17.x86_64: ts_done name in te is openssh-clients should be hplip-libs-3.12.10-4.a.fc17.x86_64
Nov 28 14:47:41 1:perl-Digest-SHA-5.61-217.fc17.x86_64: ts_done name in te is hplip-libs should be 1:perl-Digest-SHA-5.61-217.fc17.x86_64
Nov 28 14:47:42 libreport-2.0.19-1.fc17.x86_64: ts_done name in te is grub2-tools should be libreport-2.0.19-1.fc17.x86_64
Nov 28 14:47:42 libreport-python-2.0.19-1.fc17.x86_64: ts_done name in te is perl-Digest-SHA should be libreport-python-2.0.19-1.fc17.x86_64
Nov 28 14:47:42 perl-Digest-MD5-2.51-217.fc17.x86_64: ts_done name in te is libreport should be perl-Digest-MD5-2.51-217.fc17.x86_64
Nov 28 14:47:42 1:perl-Module-Pluggable-3.90-217.fc17.noarch: ts_done name in te is libreport-python should be 1:perl-Module-Pluggable-3.90-217.fc17.noarch
Nov 28 14:47:43 perl-PathTools-3.33-217.fc17.x86_64: ts_done name in te is perl-Digest-MD5 should be perl-PathTools-3.33-217.fc17.x86_64
Nov 28 14:47:43 1:perl-Pod-Escapes-1.04-217.fc17.noarch: ts_done name in te is perl-Module-Pluggable should be 1:perl-Pod-Escapes-1.04-217.fc17.noarch
Nov 28 14:47:43 1:perl-Pod-Simple-3.16-217.fc17.noarch: ts_done name in te is perl-PathTools should be 1:perl-Pod-Simple-3.16-217.fc17.noarch
Nov 28 14:47:44 4:perl-libs-5.14.3-217.fc17.x86_64: ts_done name in te is perl-Pod-Escapes should be 4:perl-libs-5.14.3-217.fc17.x86_64
Nov 28 14:47:44 4:perl-macros-5.14.3-217.fc17.x86_64: ts_done name in te is perl-Pod-Simple should be 4:perl-macros-5.14.3-217.fc17.x86_64
Nov 28 14:47:44 4:perl-5.14.3-217.fc17.x86_64: ts_done name in te is perl-libs should be 4:perl-5.14.3-217.fc17.x86_64
Nov 28 14:47:44 openssh-askpass-5.9p1-27.fc17.x86_64: ts_done name in te is perl-macros should be openssh-askpass-5.9p1-27.fc17.x86_64
Nov 28 14:47:45 libreport-filesystem-2.0.19-1.fc17.x86_64: ts_done name in te is perl should be libreport-filesystem-2.0.19-1.fc17.x86_64
Nov 28 14:47:45 hplip-common-3.12.10-4.a.fc17.x86_64: ts_done name in te is openssh-askpass should be hplip-common-3.12.10-4.a.fc17.x86_64
Nov 28 14:47:45 openssh-5.9p1-27.fc17.x86_64: ts_done name in te is libreport-filesystem should be openssh-5.9p1-27.fc17.x86_64
Nov 28 14:47:45 bash-4.2.39-1.fc17.x86_64: ts_done name in te is hplip-common should be bash-4.2.39-1.fc17.x86_64
Nov 28 14:47:46 fftw-libs-single-3.3.1-3.fc17.x86_64: ts_done name in te is openssh should be fftw-libs-single-3.3.1-3.fc17.x86_64
Nov 28 14:47:46 fftw-libs-double-3.3.1-3.fc17.x86_64: ts_done name in te is bash should be fftw-libs-double-3.3.1-3.fc17.x86_64
Nov 28 14:47:46 fftw-libs-long-3.3.1-3.fc17.x86_64: ts_done name in te is fftw-libs-single should be fftw-libs-long-3.3.1-3.fc17.x86_64
Nov 28 14:47:47 fftw-libs-quad-3.3.1-3.fc17.x86_64: ts_done name in te is fftw-libs-double should be fftw-libs-quad-3.3.1-3.fc17.x86_64
Comment 14 Honza Horak 2014-05-16 08:04:05 EDT
*** Bug 1081767 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.